#
# spec file for package lemonbar
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lemonbar
Version:        1.5
Release:        1.3
Summary:        An X11 bar
License:        MIT
Group:          System/GUI/Other
URL:            https://github.com/LemonBoy/bar
Source0:        %{URL}/archive/refs/tags/v%{version}.tar.gz#/bar-%{version}.tar.gz
BuildRequires:  libxcb-devel

%description
lemonbar is a bar entirely based on XCB. It provides full UTF-8
support, basic formatting, RandR and Xinerama support and EWMH
compliance.

%prep
%setup -q -n bar-%{version}

%build
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}

%files
%license LICENSE
%{_bindir}/lemonbar
%{_mandir}/man1/lemonbar.1%{ext_man}

%changelog
* Mon Aug 19 2024 Frantisek Simorda <frantisek.simorda@suse.com>
- Update to 1.5:
  * Use the specified underline color when resetting the color palette.
  * Set the WM_CLASS atom for all the lemonbar windows.
  * Call pledge() at startup when running on OpenBSD.
  * Fix a silly bug where the last monitor in the list was ignored.
  * Fix another silly bug that affected systems with mirrored outputs (Thanks @insom).
  * Code cleanup.
* Sat Apr 17 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.4
  + Unlimited number of clickable areas, the -a switch was removed.
  + Unlimited number of loadable fonts (yay, I guess?).
  + You can now specify what screens are used by lemonbar with
    the -o switch.
  + The new Sn specifier allows you to select a screen by name.
  + Much better handling of rapidly-changing input
  + Underlines and overlines are not reset when changing the
    alignment.
  + Use opaque black/white colors as default values.
  + Reset the attributes and colors between each rendered line.
* Tue May  7 2019 Xaver Hellauer <xaver@hellauer.bayern>
- Update to version 1.3
  + Correct handling of escaped %% characters.
  + The WM_NAME atom is now set for all the windows.
  + Fix an unsafe memory access during the argument parsing.
  + Correct the coordinate calculation for the EWMH STRUT atoms.
- Version 1.2
  + The -f switch now doesn't accept comma-separated font names
    anymore, use multiple -f instead.
  + Named colors aren't supported anymore.
* Sat Jul 23 2016 jengelh@inai.de
- Remove filler words from summary/description.
* Mon Jul 18 2016 luke.nukem.jones@gmail.com
- Initial package
